| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::ShaderFunctionVK Class Referencefinal

`#include <shader_function_vk.h>`

Inheritance diagram for impeller::ShaderFunctionVK:

## Public Member Functions
| ~ShaderFunctionVK () override
const vk::ShaderModule & | GetModule () const
Public Member Functions inherited from impeller::ShaderFunction
virtual | ~ShaderFunction ()
ShaderStage | GetStage () const
const std::string & | GetName () const
std::size_t | GetHash () const override
bool | IsEqual (const ShaderFunction &other) const override
Public Member Functions inherited from impeller::Comparable< ShaderFunction >
virtual std::size_t | GetHash () const=0

## Friends
class | ShaderLibraryVK

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< ShaderFunctionVK, ShaderFunction >
static ShaderFunctionVK & | Cast (ShaderFunction &base)
static const ShaderFunctionVK & | Cast (const ShaderFunction &base)
static ShaderFunctionVK * | Cast (ShaderFunction *base)
static const ShaderFunctionVK * | Cast (const ShaderFunction *base)
Protected Member Functions inherited from impeller::ShaderFunction
| ShaderFunction (UniqueID parent_library_id, std::string name, ShaderStage stage)

## Detailed Description

Definition at line 16 of file shader_function_vk.h.

## Constructor & Destructor Documentation

## ◆ ~ShaderFunctionVK()

impeller::ShaderFunctionVK::~ShaderFunctionVK | ( |  | ) |
| override

Definition at line 19 of file shader_function_vk.cc.

19 {
20 std::shared_ptr<DeviceHolderVK> device_holder = device_holder_.lock();
21 if (device_holder) {
22 module_.reset();
23 } else {
24 module_.release();
25 }
26 }

## Member Function Documentation

## ◆ GetModule()

const vk::ShaderModule & impeller::ShaderFunctionVK::GetModule | ( |  | ) | const

Definition at line 28 of file shader_function_vk.cc.

28 {
29 return module_.get();
30 }

## Friends And Related Function Documentation

## ◆ ShaderLibraryVK

friend class ShaderLibraryVK
| friend

Definition at line 26 of file shader_function_vk.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/vulkan/shader_function_vk.h
- impeller/renderer/backend/vulkan/shader_function_vk.cc